# version.hpp File Reference

`#include <saga/saga/util.hpp>`
`#include <saga/saga/version.hpp>`
`#include <saga/saga/packages/stream/config.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
## Defines
#define | SAGA_PACKAGE_COMM_STREAM_VERSION_HPP
#define | SAGA_VERSION_PACKAGE_STREAM_FULL SAGA_VERSION_FULL
#define | SAGA_VERSION_PACKAGE_STREAM_MAJOR SAGA_VERSION_MAJOR
#define | SAGA_VERSION_PACKAGE_STREAM_MINOR SAGA_VERSION_MINOR
#define | SAGA_VERSION_PACKAGE_STREAM_SUBMINOR SAGA_VERSION_SUBMINOR
#define | SAGA_VERSION_PACKAGE_STREAM_DATE SAGA_VERSION_DATE
#define | SAGA_VERSION_PACKAGE_STREAM_SUBMINORMASK SAGA_VERSION_SUBMINORMASK
#define | SAGA_VERSION_PACKAGE_STREAM_API SAGA_VERSION_API
#define | SAGA_VERSION_PACKAGE_STREAM_ISCOMPATIBLE_EX(version)
#define | SAGA_VERSION_PACKAGE_STREAM_ISCOMPATIBLE()
## Functions
unsigned long | saga::get_stream_package_version ()
unsigned long | saga::get_stream_package_api_version ()

## Define Documentation

#define SAGA_PACKAGE_COMM_STREAM_VERSION_HPP

#define SAGA_VERSION_PACKAGE_STREAM_FULL SAGA_VERSION_FULL

Referenced by saga::get_stream_package_version().

#define SAGA_VERSION_PACKAGE_STREAM_MAJOR SAGA_VERSION_MAJOR

#define SAGA_VERSION_PACKAGE_STREAM_MINOR SAGA_VERSION_MINOR

#define SAGA_VERSION_PACKAGE_STREAM_SUBMINOR SAGA_VERSION_SUBMINOR

#define SAGA_VERSION_PACKAGE_STREAM_DATE SAGA_VERSION_DATE

#define SAGA_VERSION_PACKAGE_STREAM_SUBMINORMASK SAGA_VERSION_SUBMINORMASK

#define SAGA_VERSION_PACKAGE_STREAM_API SAGA_VERSION_API

Referenced by saga::get_stream_package_api_version().

#define SAGA_VERSION_PACKAGE_STREAM_ISCOMPATIBLE_EX | ( | version |  | ) |

Value:

    (((version) & ~SAGA_VERSION_PACKAGE_STREAM_SUBMINORMASK) >=               \
          (SAGA_VERSION_PACKAGE_STREAM_FULL & ~SAGA_VERSION_PACKAGE_STREAM_SUBMINORMASK)) \

#define SAGA_VERSION_PACKAGE_STREAM_ISCOMPATIBLE | ( |  | ) |

Value:

    SAGA_VERSION_PACKAGE_STREAM_ISCOMPATIBLE_EX(                              \
          saga::get_stream_package_version())                                     \